<?
if ($where) {
if ($where=='1') {
ai();        // обновим список
        if (count($game["players"])>0) {
                $stmp.="<span style=\"color:green\">Сейчас в игре <strong>[".count($game["players"])."]</strong> человек</span>:";
                $ind=0;
                $count=0;
                if ($start<0 || !$start) $start=0;
                $online=array_keys($game["players"]);
                foreach($online as $i) {
                        if ($ind>=$start) {
                       if ($i!="user.") {
					   $ll=$game["loc"][$game["players"][$i]][$i]['loc'];
					   $loc1=explode("|",$locations[$ll]);
					   $ll=str_replace("loc.","",$ll);
                        $stmp.="\n<br/><strong>".$game["loc"][$game["players"][$i]][$i]["title"]."</strong> [".$loc1[0]."]".$game["loc"][$game["players"][$i]][$i]['server'];
                        }
                         $count++;
                        if ($count>=$count_show) break;        // след. страница, если слишком много человек или предметов
                        }
                        $ind++;
                        }
                if ($start && $start-$count_show>=0) $stmp.="\n<br/><a href=\"$PHP_SELF?sid=$sid&where=1&start=".($start-$count_show)."\">[-]</a>";
                if ($count+$start<count($game["players"])) {if (!$start) $stmp.="\n<br/>"; $stmp.= " <a href=\"$PHP_SELF?sid=$sid&where=1&start=".($count+$start)."\">[+]</a>";}
                } else $stmp.="<br/>Сейчас в игре никого нет"; msg($stmp);
}
}
?>


